## sitesummary 0.0.20

=== Makefile ===
DESTDIR = 

prefix       = /usr
sbindir       = $(prefix)/sbin
datadir      = $(prefix)/share
libdir       = $(prefix)/lib
cgibindir    = $(libdir)/cgi-bin
pkgdatadir   = $(datadir)/sitesummary
pkgdir       = $(libdir)/sitesummary
collectordir = $(libdir)/sitesummary/collect.d
perldir      = $(datadir)/perl5
pkgvardir    = /var/lib/sitesummary

INSTALL      = install
INSTALL_DATA = $(INSTALL) -m 644

COLLECTORS = \
	collect.d/debian \
	collect.d/debian-edu \
	collect.d/system \
	collect.d/siteinfo

SUMMARYSCRIPTS = \
	site-summary \
	kernelversion-summary \
	debian_edu-summary

all:

install: install-server install-client

install-server:
	$(INSTALL) -d $(DESTDIR)$(cgibindir)
	$(INSTALL) sitesummary-collector.cgi $(DESTDIR)$(cgibindir)

	$(INSTALL) -d $(DESTDIR)$(sbindir)
	$(INSTALL) sitesummary-makewebreport $(DESTDIR)$(sbindir)

	$(INSTALL) -d $(DESTDIR)$(perldir)
	$(INSTALL) -d $(DESTDIR)$(pkgdir)
	$(INSTALL_DATA) SiteSummary.pm $(DESTDIR)$(perldir)
	$(INSTALL) $(SUMMARYSCRIPTS) $(DESTDIR)$(pkgdir)/

	$(INSTALL) -d $(DESTDIR)/etc/apache2/conf.d
	$(INSTALL_DATA) apache.conf $(DESTDIR)/etc/apache2/conf.d/sitesummary

	$(INSTALL) -o www-data -d $(DESTDIR)$(pkgvardir)/entries
	$(INSTALL) -o www-data -d $(DESTDIR)$(pkgvardir)/tmpstorage
	$(INSTALL) -d $(DESTDIR)$(pkgvardir)/www

install-client:
	$(INSTALL) -d $(DESTDIR)$(sbindir)
	$(INSTALL) sitesummary-client sitesummary-upload $(DESTDIR)$(sbindir)
	$(INSTALL) -d $(DESTDIR)$(pkgdatadir)
	$(INSTALL_DATA) sitesummary-client.conf $(DESTDIR)$(pkgdatadir)/

	$(INSTALL) -d $(DESTDIR)$(collectordir)
	for collector in $(COLLECTORS) ; do \
		$(INSTALL) $$collector $(DESTDIR)$(collectordir); \
	done

clean:
	$(RM) *~ */*~
distclean: clean

=== debian/changelog ===
sitesummary (0.0.20) unstable; urgency=low

  * Fix regex used to extract eth0 MAC address, to avoid matching peth0
    on a vmware box.
  * Improve template text to include the example URL. to make it
    easier to come up with URLs usable from external machines.
  * Add perl-modules as dependency for sitesummary-client, to make
    sure Getopt::Std is available for sitesummary-upload.
  * Add new collect.d/debian to collect debian specific stuff.  Now
    collects /etc/debian_version and the output from dpkg -l.
  * Change the collector to use the mac address from eth1 or eth2 if
    eth0 isn't usable.
  * Throw away error messages from dmidecode when collecting info, to
    avoid daily cron mails from Xen machines.
  * Only use a2dissite to disable the site if it is enabled.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  9 Dec 2006 15:28:23 +0100

sitesummary (0.0.19) unstable; urgency=low

  [ Luk Claes ]
  * Added myself to uploaders.

  [ Petter Reinholdtsen ]
  * Collect /proc/cpuinfo using collect.d/system.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Nov 2006 20:47:51 +0100

sitesummary (0.0.18) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Do not recommend sitesummary from sitesummary-client, to make it
    easier to install the client with aptitude without pulling in the
    server.
  * Include Czech translation by Jakub Kasparec. (Closes: #396717)

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  2 Nov 2006 20:04:12 +0100

sitesummary (0.0.17) unstable; urgency=low

  [ Steffen Joeris ]
  * Include french debconf translations (Closes: #392887)
    Thanks to Cyril Brulebois

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 21 Oct 2006 12:03:48 +0200

sitesummary (0.0.16) unstable; urgency=low

  * Fix typo in get_debian_edu_ver() making it fail to
    find the version name.
  * Add sitesummary-client.postrm file to remove the
    generated configuration files during purge.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  8 Oct 2006 13:14:16 +0200

sitesummary (0.0.15) unstable; urgency=low

  [ Steffen Joeris ]
  * Remove code to set the debconf value explicitely in the
    sitesummary-client.config script to avoid possible conflict
    (Closes: #391593)

  [ Petter Reinholdtsen ]
  * Make sure the debconf value only is set in sitesummary-client.config
    when local configuration exist.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  7 Oct 2006 20:27:01 +0200

sitesummary (0.0.14) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Correct typo in recommends list for sitesummary-client;
    dmidecide->dmidecode. (Closes: #391255)
  * Add symlink from /etc/apache/conf.d/sitesummary to
    /etc/apache2/conf.d/sitesummary, to work with both apache and
    apache2.  Adjust dependency accordingly, and rewrite postinst to
    continue working when apache2-common isn't installed.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  6 Oct 2006 19:21:18 +0200

sitesummary (0.0.13) unstable; urgency=low

  * Change server cron job to remove entries after 120 days.
  * Make it possible to override server config using
    /etc/sitesummary/collector.cfg.
  * Include a timestamp in the simple web report, to document when the
    web page was last updated.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  5 Oct 2006 09:04:47 +0200

sitesummary (0.0.12) unstable; urgency=low

  * Modify the system info collector script to ignore non-true exit
    codes from the programs.  This make sure it work on systems
    without usb support, among other things.
  * Modify client script to ignore non-true exit codes from the
    collector fragments.
  * Modify the sitesummary postinst script to make sure
    /var/lib/sitesummary/tmpstorage and /var/lib/sitesummary/entries
    are owned by user www-data.  This give the cgi-script write access
    to the storage area.
  * Switch the client from cron.d to cron.daily.
  * Add collector for debian-edu configuration.  Correct server
    summary part to use the collected file.

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  4 Oct 2006 10:39:18 +0200

sitesummary (0.0.11) unstable; urgency=low

  * Fix minor typo in debian_edu-summary.
  * Quiet down debian_edu-summary runs for machines without the
    Debian Edu config file.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 22 Sep 2006 08:33:39 +0200

sitesummary (0.0.10) unstable; urgency=low

  * Fix typo in sitesummary postinst, breaking upgrades.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 20 Sep 2006 21:24:01 +0200

sitesummary (0.0.9) unstable; urgency=low

  * Initial upload into Debian.
  * Improve template text.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Sep 2006 20:17:48 +0200

sitesummary (0.0.8) terra; urgency=low

  [ Steffen Joeris ]
  * Add missing dependency for sitesummary against apache2-common
    which is needed for a2dissite in the postinst script
  * Write subroutine for debian_edu_profile which is needed for the
    debian-edu report to reflect the profile
  * Add debian_edu-summary script and adjust Makefile and the
    sitesummary-makewebreport script
  * Write subroutine for debian_edu_vers to reflect the current
    debian-edu-version

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Tue,  5 Sep 2006 21:21:24 +1000

sitesummary (0.0.7) terra; urgency=low

  [ Petter Reinholdtsen ]
  * Add daily cron job to update web pages once a day.
  * Remove old /etc/apache2/sites-available/sitesummary if it exist, to
    cope with the new apache config structure introduced version 0.0.6.

  [ Holger Levsen ]
  * because debhelper.mk is used, the dependency on debhelper needs to
    be >=4.1.0
  * moved the build-depends-indep back to to build-depends, as build-depends
    on cdbs and debhelper must not be arch independent build depends.
  * updated fsf address in copyright

 -- Holger Levsen <debian@layer-acht.org>  Fri,  1 Sep 2006 16:12:33 +0200

sitesummary (0.0.6) terra; urgency=low

  [ Petter Reinholdtsen ]


=== debian/control ===
Source: sitesummary
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Holger Levsen <debian@layer-acht.org>, Luk Claes <luk@debian.org>
Build-Depends: debhelper (>= 4.1.0), cdbs
Standards-Version: 3.7.2

Package: sitesummary
Architecture: all
Depends: gnupg
Recommends: ${misc:Depends}, apache2-mpm-worker | httpd, sitesummary-client
Description: Generate site summary of submitting hosts (server part)
 The sitesummary system makes it easier to keep track of a lot of
 machines, by allowing each machine to report their existence once a
 day to a central collector, and using this collector to make summary
 reports about the hosts.
 .
 This package is the server part, with the collector and report
 scripts.

Package: sitesummary-client
Architecture: all
Depends: ${misc:Depends}, gnupg, perl-modules
Recommends: cron, dmidecode, pciutils, usbutils, lsscsi
Suggests: sitesummary
Description: Generate site summary of submitting hosts (client part)
 The sitesummary system makes it easier to keep track of a lot of
 machines, by allowing each machine to report their existence once a
 day to a central collector, and using this collector to make summary
 reports about the hosts.
 .
 This package is the client part, reporting in to the server after
 boot and once a day.

## sitesummary 0.0.22

=== debian/changelog ===
sitesummary (0.0.22) unstable; urgency=medium

  * Include first protuguese debconf translation for sitesummary
    (Closes: #409406) Thanks to Carlos Lisboa

 -- Steffen Joeris <white@debian.org>  Mon, 12 Feb 2007 15:35:24 +1100

sitesummary (0.0.21) unstable; urgency=low

  [ Holger Levsen ]
  * Removed myself from uploaders

  [ Luk Claes ]
  * Updated French debconf translation, thanks to Cyril Brulebois
    (Closes: #403444).

  [ Steffen Joeris ]
  * Add myself to uploaders

 -- Steffen Joeris <white@debian.org>  Sun, 14 Jan 2007 12:07:28 +0100

## sitesummary 0.0.26

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,7 @@
 
 	$(INSTALL) -d $(DESTDIR)$(sbindir)
 	$(INSTALL) sitesummary-makewebreport $(DESTDIR)$(sbindir)
+	$(INSTALL) sitesummary-nodes $(DESTDIR)$(sbindir)
 
 	$(INSTALL) -d $(DESTDIR)$(perldir)
 	$(INSTALL) -d $(DESTDIR)$(pkgdir)

=== debian/changelog ===
sitesummary (0.0.26) unstable; urgency=low

  * Add code in the server cronjob to generate a replacement
    munin.conf, and make it possible to activate it in munin by
    setting MUNINDIR=/etc/munin/ in collector.cfg.
  * Add preseedable hidden boolean debconf question
    sitesummary/replace-munin-config to make it possible to enable
    this feature at install time.
  * Update the postinst script to make sure the install time code is
    only executed during configure.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 May 2007 15:56:16 +0200

sitesummary (0.0.25) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * New perl function get_hostname() available from the SiteSummary
    perl module.
  * Add script sitesummary-nodes to list all reporting nodes.  Use -m
    to list them in the format expected in /etc/munin/munin.conf.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 May 2007 08:21:40 +0200

sitesummary (0.0.24) unstable; urgency=low

  [ Bart Cornelis (cobaco) ]
  * Updated templates file as it was out of date
  * Added Dutch translation

  [ Petter Reinholdtsen ]
  * Run cron job just after installation, to get the web page generated.
    (Closes: #423256)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 May 2007 09:24:23 +0200

sitesummary (0.0.23) unstable; urgency=medium

  * Added German debconf translation. Thanks to Helge Kreutzmann.
    (Closes: #411569)

 -- Morten Werner Olsen <werner@debian.org>  Wed,  7 Mar 2007 15:35:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Holger Levsen <debian@layer-acht.org>, Luk Claes <luk@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>, Steffen Joeris <white@debian.org>
 Build-Depends: debhelper (>= 4.1.0), cdbs
 Standards-Version: 3.7.2

## sitesummary 0.0.36

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,9 @@
 	collect.d/siteinfo
 
 SUMMARYSCRIPTS = \
+	agesinceseen-summary \
 	site-summary \
+	hostclass-summary \
 	kernelversion-summary \
 	debian_edu-summary

=== debian/changelog ===
sitesummary (0.0.36) unstable; urgency=low

  [ Holger Levsen ]
  * Fix minor html error in html output.

  [ Petter Reinholdtsen ]
  * Fix typo in handling of munin.conf.post.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 11 Dec 2007 11:15:44 +0100

sitesummary (0.0.35) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Recognice nagios2 as a nagios client/server indicator.

  [ Daniel Hess ]
  * Make get_peerinfo of sitesummary-collector.cgi return the
    dotted decimal representation of the remote IP address even
    with webservers that don't set REMOTE_ADDR but passes the
    filedescriptor of the TCP socket.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  3 Dec 2007 21:25:29 +0100

sitesummary (0.0.34) unstable; urgency=low

  * Prefer REMOTE_ADDR over the output from gethostbyaddr() in
    get_peerinfo(), to avoid "Bad arg length" problem.  Rewrite
    get_peerinfo() to look ip REMOTE_ADDR in DNS when creating
    peerinfo.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  2 Dec 2007 19:25:51 +0100

sitesummary (0.0.33) unstable; urgency=low

  * Collect loaded kernel modules, to ease nagios autoconfiguration.
  * Add >180 days to the agesinceseen-summary list, for really old entries.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  1 Dec 2007 14:13:16 +0100

sitesummary (0.0.32) unstable; urgency=low

  * Collect /proc/mounts and /etc/fstab in system, for use when
    generating nagios checks for the file systems.
  * Start on experimental code to generate nagios configuration from
    the collected sitesummary information.
  * Fix peername code in the collector.
  * Set the locale to C when collecting data, to make sure the output
    format is well known. (Closes: #452899)
  * Minor cleanup in output.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Nov 2007 09:52:33 +0100

sitesummary (0.0.31) unstable; urgency=low

  * Add -l option to kernelversion-summary and site-summary, to get it
    to list the individual hosts with the given kernel version and
    site/sitegroup setting.
  * New script agesinceseen-summary, listing the hosts that have
    failed to submit a report in the last few days.  It support -l to
    list the individual hosts.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 23 Nov 2007 22:28:14 +0100

sitesummary (0.0.30) unstable; urgency=low

  * Change default apache setup to allow everyone read access to
    /sitesummary/ instead of only localhost, as the default report do
    not include very sensible information.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  4 Nov 2007 13:41:11 +0100

sitesummary (0.0.29) unstable; urgency=low

  * Add get_hostclass() to the SiteSummary perl module API.
  * Add host class summary to the default list of web reports.
  * Fix typo in server cron job.  Can't use nice on a shell function.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 13 Oct 2007 10:02:44 +0200

sitesummary (0.0.28) unstable; urgency=low

  [ Luk Claes ]
  * Removed myself from uploaders.

  [ Petter Reinholdtsen ]
  * Make sure the server cron job do not report error when the package
    is removed but not purged. (Closes: #445604)
  * Move random sleep from the report script and into the cron script,
    to make it possible to report imediately from a client.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 12 Oct 2007 19:10:09 +0200

sitesummary (0.0.27) unstable; urgency=low

  * Modify the client code to sleep for a random number of seconds
    between 0 and 3600 to make sure all clients do not overload the
    server, based on code from cron-apt.
  * Only list clients in sitesummary-nodes with the munin-node package
    installed when generating munin configuration file.
  * Let sitesummary depend on ${misc:Depends} to get the required
    debconf dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  3 Jul 2007 09:46:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>, Steffen Joeris <white@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Steffen Joeris <white@debian.org>
 Build-Depends: debhelper (>= 4.1.0), cdbs
 Standards-Version: 3.7.2
 
 Package: sitesummary
 Architecture: all
-Depends: gnupg
+Depends: ${misc:Depends}, gnupg
 Recommends: ${misc:Depends}, apache2-mpm-worker | httpd, sitesummary-client
 Description: Generate site summary of submitting hosts (server part)
  The sitesummary system makes it easier to keep track of a lot of

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

MAKE = make
DEB_DESTDIR = debian/tmp

# No need to submit information when the package is installed
DEB_DH_INSTALLINIT_ARGS=--no-start

common-install-indep::
	$(MAKE)	install DESTDIR=$(DEB_DESTDIR)

## sitesummary 0.0.42

=== Makefile ===
--- 
+++ 
@@ -51,6 +51,9 @@
 	$(INSTALL) -o www-data -d $(DESTDIR)$(pkgvardir)/tmpstorage
 	$(INSTALL) -d $(DESTDIR)$(pkgvardir)/www
 
+	$(INSTALL) -d $(DESTDIR)/usr/share/munin/plugins/.
+	$(INSTALL) munin-plugin $(DESTDIR)/usr/share/munin/plugins/sitesummary_sites
+
 install-client:
 	$(INSTALL) -d $(DESTDIR)$(sbindir)
 	$(INSTALL) sitesummary-client sitesummary-upload $(DESTDIR)$(sbindir)

=== debian/changelog ===
sitesummary (0.0.42) unstable; urgency=low

  * Make sure to read /etc/environment in init.d/sitesummary-client
    script, to activate the common http proxy settings.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 13 Jun 2008 21:40:49 +0200

sitesummary (0.0.41) unstable; urgency=low

  * Accept nagios3 clients as nagios clients.
  * New argument -w to sitesummary-nodes, to list DNS name and MAC address,
    for use with wakeonlan packages.
  * Fix slow propagation of information on first time install, by
    making sure the server cron job calls sitesummary-client before
    processing all entries.
  * Add usage information to sitesummary-nodes.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 13 Jun 2008 10:48:04 +0200

sitesummary (0.0.40) unstable; urgency=low

  * Updated sitesummary-nodes:
    - Ignore nfs file systems when generating nagis configuration.
  * Fix typo in munin plugin.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  8 Jun 2008 12:08:17 +0200

sitesummary (0.0.39) unstable; urgency=low

  * Rename munin plugin file name to get it working with munin.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  7 Jun 2008 12:50:17 +0200

sitesummary (0.0.38) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Updated sitesummary-nodes:
    - Use IP address as hostname if the provided hostname is bogus
      or missing in DNS.
    - Use the IP address from ifconfig, not the sitesummary peer address,
      when generating nagios configuration, to avoid using the web proxy IP
      address.
    - Ignore filesystem types autofs, binfmt_misc, iso9660, nfsd and usbfs
      when generating nagios checks.
    - More automatically configured Nagios checks based on the
      old Debian Edu configuration.
  * Add munin plugin to graph sites based on an idea from Narvik.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  7 Jun 2008 12:22:23 +0200

sitesummary (0.0.37) unstable; urgency=low

  [ Morten Werner Forsbring ]
  * Add DOCTYPE declaration in the html output.
  * Use more html in the sitesummary-makewebreport.
  * Bumped Standards-Version to 3.7.3 (no changes).
  * Changed my lastname.

  [ Patrick Winnertz ]
  * Fix lintian warning. ${misc:Depends} is always extended to the same
    values, so a listing in Depends and Recommends makes no sense.

  [ Petter Reinholdtsen ]
  * Collect current runlevel in the system directory.
  * Fix typo in agesinceseen-summary header.
  * Link to documentation wiki page in the README.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 31 May 2008 17:17:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Steffen Joeris <white@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Patrick Winnertz <winnie@debian.org>
 Build-Depends: debhelper (>= 4.1.0), cdbs
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: sitesummary
 Architecture: all
 Depends: ${misc:Depends}, gnupg
-Recommends: ${misc:Depends}, apache2-mpm-worker | httpd, sitesummary-client
+Recommends: apache2-mpm-worker | httpd, sitesummary-client
 Description: Generate site summary of submitting hosts (server part)
  The sitesummary system makes it easier to keep track of a lot of
  machines, by allowing each machine to report their existence once a

## sitesummary 0.0.47

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 SUMMARYSCRIPTS = \
 	agesinceseen-summary \
 	site-summary \
+	hardware-model-summary \
 	hostclass-summary \
 	kernelversion-summary \
 	debian_edu-summary

=== debian/changelog ===
sitesummary (0.0.47) unstable; urgency=low

  * Fix bug in collector hook handling.  Now it uses the correct
    'update' argument when calling hook scripts on updates.
  * Make sure to export the get_primary_ip_address function in the
    SiteSummary perl module.
  * Add perl function get_macaddress() to return all ethernet
    MAC addresses.
  * Add Swedish translation from Martin Ågren (Closes: #492067).

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  9 Aug 2008 19:19:38 +0200

sitesummary (0.0.46) unstable; urgency=low

  * Ignore bogus hardware version 'System Version' when reporting
    hardware statistic.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Jul 2008 13:05:23 +0200

sitesummary (0.0.45) unstable; urgency=low

  * Add new script hardware-model-summary to list the different
    hardware vendor and models.
  * Report the hardware models in the default web page.
  * Rewrite get_primary_macaddress() to return the same MAC address
    independently from the interface ordering returned by ifconfig -a.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 25 Jul 2008 20:00:45 +0200

sitesummary (0.0.44) unstable; urgency=low

  * Undo fix for slow propagation of information on first time
    install, because it fail when both client and server are installed
    at the same time using d-i.
  * Updated standards-version from 3.7.3 to 3.8.0.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 25 Jul 2008 00:50:51 +0200

sitesummary (0.0.43) unstable; urgency=low

  * Fix the code running collector handlers, to get it working when
    the perl script is in tained mode.
  * Collect the current route table, if the host is a laptop, the
    public ssh host keys and the xorg.conf file.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Jul 2008 09:53:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Patrick Winnertz <winnie@debian.org>
 Build-Depends: debhelper (>= 4.1.0), cdbs
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 
 Package: sitesummary
 Architecture: all

## sitesummary 0.0.48

=== debian/changelog ===
sitesummary (0.0.48) unstable; urgency=low

  [ Holger Levsen]
  * Add depends for net-tools to sitesummary-client.

  [ Petter Reinholdtsen ]
  * Get rid of error messages from laptop-detect when collecting system
    information.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  3 Apr 2009 08:29:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: sitesummary
 Architecture: all
-Depends: ${misc:Depends}, gnupg
+Depends: ${misc:Depends}, gnupg, net-tools
 Recommends: apache2-mpm-worker | httpd, sitesummary-client
 Description: Generate site summary of submitting hosts (server part)
  The sitesummary system makes it easier to keep track of a lot of

## sitesummary 0.0.58

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 COLLECTORS = \
 	collect.d/debian \
 	collect.d/debian-edu \
+	collect.d/nagios \
 	collect.d/system \
 	collect.d/siteinfo
 
@@ -45,6 +46,8 @@
 	$(INSTALL_DATA) SiteSummary.pm $(DESTDIR)$(perldir)
 	$(INSTALL) $(SUMMARYSCRIPTS) $(DESTDIR)$(pkgdir)/
 
+	$(INSTALL) expire-entry $(DESTDIR)$(pkgdir)/
+
 	$(INSTALL) -d $(DESTDIR)/etc/apache2/conf.d
 	$(INSTALL_DATA) apache.conf $(DESTDIR)/etc/apache2/conf.d/sitesummary
 
@@ -54,6 +57,17 @@
 
 	$(INSTALL) -d $(DESTDIR)/usr/share/munin/plugins/.
 	$(INSTALL) munin-plugin $(DESTDIR)/usr/share/munin/plugins/sitesummary_sites
+
+	$(INSTALL) -d $(DESTDIR)/etc/nagios3
+	$(INSTALL_DATA) nagios.cfg \
+		$(DESTDIR)/etc/nagios3/sitesummary.cfg
+	$(INSTALL_DATA) nagios-templates.cfg \
+		$(DESTDIR)/etc/nagios3/sitesummary-templates.cfg
+	$(INSTALL_DATA) nagios-template-contacts.cfg \
+		$(DESTDIR)/etc/nagios3/sitesummary-template-contacts.cfg
+	$(INSTALL) -d $(DESTDIR)/etc/nagios
+	$(INSTALL_DATA) nagios-nrpe-commands.cfg \
+		$(DESTDIR)/etc/nagios/sitesummary-nrpe-commands.cfg
 
 install-client:
 	$(INSTALL) -d $(DESTDIR)$(sbindir)

=== debian/changelog ===
sitesummary (0.0.58) unstable; urgency=low

  * Ignore entries from host failing to report MAC address, and log this
    to syslog, to avoid getting bogus entries.
  * Fix brown paper back typo in collection of xfs config file.
  * Provide host-notify-by-email Nagios command as well.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Jan 2010 09:09:52 +0100

sitesummary (0.0.57) unstable; urgency=low

  * Allow numbers in Nagios host class names.
  * Create Nagios hostclass for sitesummary hostclass, Debian Edu
    profile and version settings.
  * Collect switch port information using CPD when cdpr is installed.
    Recommend cdpr from the client to increase the chance of finding
    cdpr.
  * Correct name of cups package when generating Nagios check for
    cups.
  * Add SMTP check to Nagios configuration if the exim4-daemon-heavy
    or exim4-daemon-light packages are installed.
  * Correct Nagios documentation in the README.
  * Use switch information collected using cdpr to specify Nagios
    host parent relationships.
  * Mention ignored laptops in generated Nagios config to make it
    easier to figure out why a machine is not monitored.
  * Collect /etc/X11/fs/config to make it possible to figure out of
    xfs should listen on TCP or not.
  * Only generate TCP port check for xfs if /etc/X11/fs/config state
    that it is listening on TCP.
  * Add Vcs-Browser and Vcs-Svn entries in control file.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Jan 2010 20:53:18 +0100

sitesummary (0.0.56) unstable; urgency=low

  * Replace Nagios main config file with one based on the current one
    from Nagios v3 instead of the old one which was based on
    debian-edu-config.
  * Provide more time periods (workhours, nonworkhours, never) for the
    Nagios configuration.
  * Make sure to create a dummy Nagios configuration during
    installation when Nagios autoconfiguration is enabled, to make
    sure Nagios start on first boot when sitesummary is installed from
    debian-installer.
  * Make sure cron job do not replace the existing generated nagios
    config with a empty file if no entries have been submitted.
  * Generate Nagios host groups for the site and sitegroup provided
    from each client.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 21 Jan 2010 11:26:58 +0100

sitesummary (0.0.55) unstable; urgency=low

  * Update documetation on how to enable NRPE configuration on the
    clients.
  * Make sure a Nagios ping check is generated for each hosts default route.
  * Check ftp from Nagios if proftpd is installed.
  * Move nagios contact information to separate file, to avoid
    conffile questions during upgrades if the contacts are changed and
    only the commands change.
  * Drop Nagios dhcp check, as it do not seem to work.
  * Provide debconf preseeding support (using hidden questions) for
    activating Nagios NRPE configuration on clients and Nagios
    autoconfiguration on the server.
  * Automatically detect if remote NRPE commands can be used for
    Nagios checks, and if arguments can be passed or not.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 18 Jan 2010 18:59:13 +0100

sitesummary (0.0.54) unstable; urgency=low

  * Rewrite how nagios configuration is generated to use a function to
    generate each service check.
  * Do not generate from cron the nagios checks that need nrpe
    configuration by default.
  * Add checks for running cron and working dhcp to Nagios
    configuration.
  * Collect /etc/nagios/nrpe.cfg and /etc/nagios/nrpe_local.cfg.
  * Provide NRPE configuration on the clients in
    /etc/nagios/sitesummary-nrpe-commands.cfg

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Jan 2010 19:31:25 +0100

sitesummary (0.0.53) unstable; urgency=low

  * Collect software raid status from /proc/mdstat if it exist.
  * Generate Nagios checks for number of users, software raid,
    processes, zombie processes, apt upgrades, swap, dns, imaps, nfs
    and squid too.  Rename Nagios services to use lower case
    characters.
  * Only reload Nagios in cron job if the generated configuration
    changed.
  * Quiet down first invocation of the cron job.
  * Make sure entry IDs are lower case, independend of what the client
    submitted.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 10 Jan 2010 11:16:58 +0100

sitesummary (0.0.52) unstable; urgency=low

  * Change cron job to only reload nagios when the sitesummary generated
    nagios configuration is the active one.
  * Document in the README how to enable the Munin autoconfiguration.
  * Document in the README how to enable the Nagios autoconfiguration.
  * Suggest the munin and nagios packages needed for autoconfiguration
    to work.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 07 Jan 2010 19:40:14 +0100

sitesummary (0.0.51) unstable; urgency=low

  [ Finn-Arne Johansen ]
  * Make sure to collect /proc/meminfo.
  * Add Japanese translation from Hideki Yamane (Closes: #555692).

  [ Petter Reinholdtsen ]
  * Ignore kernel file system type fusectl when generating Nagios
    checks.
  * Make sure the generated Nagios host entries uses a template.
  * Make sure cron job exit imediately and without an error code if
    the sitesummary package is removed but not purged (Closes: #563066).
  * Implement draft Nagios autoconfiguration.
  * Implement support for calling hooks when a sitesummary entry is
    expired (Closes: #491918).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 06 Jan 2010 21:00:16 +0100

sitesummary (0.0.50) unstable; urgency=low

  * Change build rules to make sure update-rc.d arguments matches the
    LSB header.
  * Add missing perl-modules dependency for sitesummary.  Thanks to
    piuparts for discovering.
  * Changed Standards-Version from 3.8.0 to 3.8.3.  No change needed.
  * Make sure sitesummary-client postinst fail on first error.
  * Move to debhelper 5.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Sep 2009 23:38:15 +0200

sitesummary (0.0.49) unstable; urgency=low


=== debian/control ===
--- 
+++ 
@@ -3,13 +3,16 @@
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Patrick Winnertz <winnie@debian.org>
-Build-Depends: debhelper (>= 4.1.0), cdbs
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 5), cdbs
+Standards-Version: 3.8.3
+Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/sitesummary/?rev=0&sc=0
+Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/sitesummary/
 
 Package: sitesummary
 Architecture: all
-Depends: ${misc:Depends}, gnupg, net-tools
+Depends: ${misc:Depends}, gnupg, net-tools, perl-modules
 Recommends: apache2-mpm-worker | httpd, sitesummary-client
+Suggests: munin, munin-node, nagios3, nagios-plugins-standard
 Description: Generate site summary of submitting hosts (server part)
  The sitesummary system makes it easier to keep track of a lot of
  machines, by allowing each machine to report their existence once a
@@ -22,8 +25,8 @@
 Package: sitesummary-client
 Architecture: all
 Depends: ${misc:Depends}, gnupg, perl-modules
-Recommends: cron, dmidecode, pciutils, usbutils, lsscsi
-Suggests: sitesummary
+Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, cdpr
+Suggests: sitesummary, munin-node, nagios-nrpe-server, nagios-plugins-standard
 Description: Generate site summary of submitting hosts (client part)
  The sitesummary system makes it easier to keep track of a lot of
  machines, by allowing each machine to report their existence once a

## sitesummary 0.0.65

=== debian/changelog ===
sitesummary (0.0.65) unstable; urgency=low

  * Start the sitesummary-client init.d script after a local DNS server
    is operational.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 15 Jun 2010 23:51:43 +0200

sitesummary (0.0.64) unstable; urgency=low

  [ Philipp Huebner ]
  * Fix typo in init.d script message.

  [ Petter Reinholdtsen ]
  * Documentation now answer more questions than it asks
    (Closes: #444622).
  * Stop shipping files in /etc/apache/ (Closes: #578239).
  * Add Spanish translation from Camaleón (Closes: #583540).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 02 Jun 2010 08:48:47 +0200

sitesummary (0.0.63) unstable; urgency=low

  * Save some time when collecting cdp information by skipping the
    loopback interface.  It is unlikely to be connected to a Cisco
    switch.
  * Add service definition to dummy nagios configuration generated at
    install time to make sure the dummy entry work with Nagios 3.2
    too.
  * Add homepage link in control file.
  * Update standards-version from 3.8.3 to 3.8.4.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 06 Apr 2010 15:40:03 +0200

sitesummary (0.0.62) unstable; urgency=low

  * Upload to unstable with correct dist.  The last upload
    went only to the Lenny based Debian Edu archive.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 02 Mar 2010 07:47:18 +0100

sitesummary (0.0.61) lenny; urgency=low

  * Do not check anon_inodefs, bdev, cgroup, cifs, cpuset, debugfs,
    hugetlbfs, inotifyfs, mqueue, nfs4, oprofilefs, pipefs, proc,
    ramfs, securityfs, smb and sockfs file systems in Nagios.
  * Improve hardware list by avoiding bogus vendor and model settings.
  * Check cups using the check_cups_queue Nagios module from
    http://exchange.nagios.org/directory/Plugins/Printing/check_cups_queue/details
  * Make client recommend iproute, to make sure the ip command is
    available when the cdpr collecting code needs it.
  * Add 'status' handling to init.d script.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 01 Mar 2010 20:45:21 +0100

sitesummary (0.0.60) unstable; urgency=low

  * Remove files in /var/lib/sitesummary/ when sitesummary package is
    purged.  Thanks to piuparts and Holger Levsen for discovering the
    left behind files.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 18 Feb 2010 11:29:31 +0100

sitesummary (0.0.59) unstable; urgency=low

  * Restructure cron job, move munin and nagios updating code to
    separate scripts to make it possible to update them individually.
  * Change cron job to remove entries before munin and nagios
    configuration is updated, to avoid monitoring removed hosts a day
    after they are removed.
  * New function get_debian_ver() reporting /etc/debian_release content
    in SiteSummary perl module.
  * Create Nagios hostclass using the result from get_debian_ver().
  * New munin plugin drawing graph based on agesinceseen values donated
    by Sverre Jensen.  Rewritten to use the SiteSummary perl module by
    Petter Reinholdtsen.
  * Introduce new agesinceseen group 120-180 to have one limit that
    match the default removal limit (120 days).
  * Adjust munin plugin reporting site count to use original site as
    label and only remove illegal characters for the munin key.
  * Adjust sitesummary postinst to only try to enable nagios
    autoconfig if /etc/default/nagios3 exist.
  * Change munin configuration to use /var/cache/munin/www/ if the
    directory exist, to work out of the box with munin 1.4.0 (Closes:
    #567168).
  * Add new nagios pluing check_kernel_status to report the need for a
    reboot to activate a new kernel.  Written by Toni Van Remortel and
    found at <URL: http://www.monitoringexchange.org >.
  * Do not generate Nagios check for file systems with the fuse.ltspfs
    type, to avoid checking users usb disks on a thin client server.
  * Add three Nagios checks to detect bugs in /etc/resolv.conf,
    /etc/hosts and a shutdown in progress, all written by Petter
    Reinholdtsen and used by the University of Oslo.
  * Move cdpr from recommends to suggests, to avoid installing it by
    default as should only be installed on system connected to Cisco
    switches.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 04 Feb 2010 10:53:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Patrick Winnertz <winnie@debian.org>
 Build-Depends: debhelper (>= 5), cdbs
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
+Homepage: http://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/sitesummary/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/sitesummary/
 
@@ -25,8 +26,8 @@
 Package: sitesummary-client
 Architecture: all
 Depends: ${misc:Depends}, gnupg, perl-modules
-Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, cdpr
-Suggests: sitesummary, munin-node, nagios-nrpe-server, nagios-plugins-standard
+Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute
+Suggests: sitesummary, munin-node, nagios-nrpe-server, nagios-plugins-standard, cdpr
 Description: Generate site summary of submitting hosts (client part)
  The sitesummary system makes it easier to keep track of a lot of
  machines, by allowing each machine to report their existence once a

## sitesummary 0.0.67

=== debian/changelog ===
sitesummary (0.0.67) unstable; urgency=low

  [ Ronny Aasen ]
  * Only run lsscsi from collect.d/system, if /proc/bus/scsi exsists
    to avoid errors on machines without /sys mouted, like chroots 
    and vservers (Closes: #602286).

  [ Petter Reinholdtsen ]
  * Change sitesummary-upload to not try to parse an empty
    $http_proxy variable.  This get it working on hosts without
    a proxy setting (Closes: #604025).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 19 Nov 2010 15:02:20 +0100

sitesummary (0.0.66) unstable; urgency=low

  [ Holger Levsen ]
  * collect.d/system: 
    - collect /var/log/Xorg.0.log if it exists to ease X debugging.
    - only run lspci if /proc/bus/pci exists to avoid errors on
      machines without PCI.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Oct 2010 10:09:20 +0200

## sitesummary 0.0.68

=== debian/changelog ===
sitesummary (0.0.68) unstable; urgency=low

  [ Ronny Aasen ]
  * Fixing my previous fix.
    Only run lsscsi from collect.d/system, if /sys/bus/scsi exsists
    to avoid errors on machines without /sys mouted, like chroots
    and vservers (Closes: #602286).

  [ Holger Levsen ]
  * sitesummary-upload: correct check for empty http_proxy variable. 
  * Bump standards to 3.9.1, no changes needed.
  * Add myself to uploaders.
  * Add one missing explicit reference to GPL-2 in debian/copyright.

 -- Holger Levsen <holger@debian.org>  Sat, 04 Dec 2010 11:35:57 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Patrick Winnertz <winnie@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Patrick Winnertz <winnie@debian.org>, Holger Levsen <holger@debian.org>
 Build-Depends: debhelper (>= 5), cdbs
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/sitesummary/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/sitesummary/

## sitesummary 0.0.70

=== debian/changelog ===
sitesummary (0.0.70) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Improve LDAP server Nagios check, not only checking if the TCP
    port is listening, but also check if the server will reply to
    searches for the root DSE.
  * Adjust sitesummary-nodes code for generating Nagios configuration
    to avoid perl warnings when no default route is set for a host.
  * Adjust nagios-plugins/check_cups_queue to enforce the C locale
    is used to get age calculation working independent of system
    locale.
  * Add more bogus DMI vendor and model strings to the ignore list for
    the hardware settings.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Nov 2011 00:07:28 +0100

sitesummary (0.0.69) unstable; urgency=low

  [ Andreas B. Mundt ]
  * Add 'use warnings;' and 'use strict;' to
    nagios-plugins/check_kernel_status.  Modify code to get rid of
    warnings (i.e. add 'my').

  [ Petter Reinholdtsen ]
  * Make Nagios configuration for the CUPS check more robust.  Require
    both cups and cups-client packages installed to enable it.
  * Change Standards-Version from 3.9.1 to 3.9.2.  No changes needed.
  * Add Catalan translation from Sergi Casbas (Closes: #609714).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Nov 2011 11:31:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Patrick Winnertz <winnie@debian.org>, Holger Levsen <holger@debian.org>
 Build-Depends: debhelper (>= 5), cdbs
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/sitesummary/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/sitesummary/

## sitesummary 0.0.71

=== debian/changelog ===
sitesummary (0.0.71) unstable; urgency=low

  * Make sure 'site-summary -l' report handle hosts without a site set.
  * Make munin plugin more robust, by not mapping 'illegal' characters
    in site names to _.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 29 Nov 2011 11:41:36 +0100

## sitesummary 0.0.72

=== debian/changelog ===
sitesummary (0.0.72) unstable; urgency=low

  * Add support for remapping hostnames for individual client entries,
    to make it possible to gather Munin and Nagios status for hosts
    behind VPN connections and with non-unique host names.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 18 Dec 2011 10:28:19 +0100

## sitesummary 0.0.73

=== debian/changelog ===
sitesummary (0.0.73) unstable; urgency=low

  * Add forgotten nagios plugin check_ldap_root to sitesummary-client.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 22 Dec 2011 18:52:10 +0100

## sitesummary 0.0.74

=== debian/changelog ===
sitesummary (0.0.74) unstable; urgency=low

  * Add munin include dir to default munin config to match recent
    munin versions.
  * Autogenerated Nagios configuration:
    - Ignore devtmpfs, the same way tmpfs is ignored.
    - Only check Linux software RAID if a RAID is enabled and not only
      when /proc/mdstat is present.
    - Report missing ldapsearch tool from check_ldap_root.
    - Rewrite code to recognise a remote Nagios client to use host ID
      to allow a Nagios server to be another Nagios servers client.
    - Fix typo in NRPE rule for check_swap, causing the warning level
      to be ignored.
    - Make sure DNS, IMAPS and Squid checks can be tested on clients
      as well as the server.
  * Collect /etc/lsb-release if present to have more detailed version
    information on Ubuntu.
  * Add suggests from sitesummary on ldap-utils and cups-client for
    tools needed by Nagios checks.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Dec 2011 10:42:19 +0100

## sitesummary 0.0.75

=== debian/changelog ===
sitesummary (0.0.75) unstable; urgency=low

  * Make sure Nagios plugin check_kernel_status always work, no matter
    the width of the terminal used to start nagios/nrpe, by setting
    COLUMNS=1024 when running 'dpkg-l'. (related to #630389).
    Improve plugin error reporting.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Dec 2011 12:03:04 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: all
 Depends: ${misc:Depends}, gnupg, net-tools, perl-modules
 Recommends: apache2-mpm-worker | httpd, sitesummary-client
-Suggests: munin, munin-node, nagios3, nagios-plugins-standard
+Suggests: munin, munin-node, nagios3, nagios-plugins-standard, ldap-utils, cups-client
 Description: Generate site summary of submitting hosts (server part)
  The sitesummary system makes it easier to keep track of a lot of
  machines, by allowing each machine to report their existence once a

## sitesummary 0.1.1

=== debian/changelog ===
sitesummary (0.1.1) unstable; urgency=low

  * Raise Nagios cups queue length limit (w10,c50 to w30,c70) as 10
    print jobs in a queue seem to be a regular event on the test
    environment I see.
  * Raise Nagios user (w20,c50 to w150,c200) and process limits
    (w500,c1000 to w1500,c2500) on LTSP servers, as these normally
    will have lots of users and processes.
  * Limit Nagios monitoring to hosts in DNS, unless the Nagios client
    tools are installed, to avoid monitoring machines before they are
    configured.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 17 Jan 2012 19:57:29 +0100

sitesummary (0.1.0) unstable; urgency=low

  * Bump version number, as the package is getting closer to a
    production release.
  * Only use includedir statement in munin configuration with
    munin version 1.4.5 or newer.

  * Debconf translation updates:
    - Added nb.po from Petter Reinholdtsen.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 09 Jan 2012 11:12:36 +0100

## sitesummary 0.1.2

=== debian/changelog ===
sitesummary (0.1.2) unstable; urgency=low

  * Add support in nagios plugins check_etc_hosts and check_etc_resolv
    for ignoring entires tagged '# NAGIOSIGNORE'.
  * Drop Nagios check for user count, as the check do not check anything
    useful, and the default nrpe setup do not allow us to raise the
    warning levels.
  * Fix typo in calculating process warning levels on LTSP servers.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 31 Jan 2012 20:37:57 +0100
